## Process this file with automake to produce Makefile.in

SUBDIRS = preferences

themedatadir = $(gimpdatadir)/themes/Default/images


## A warning Wilber that is used from the core

CORE_IMAGES = \
	stock-question-64.svg

CORE_VARIABLES = \
	stock_question_64 $(srcdir)/stock-question-64.svg


## Compiled in stock icons

STOCK_MENU_IMAGES = \
	stock-cap-butt-16.svg				\
	stock-cap-round-16.svg				\
	stock-cap-square-16.svg				\
	stock-center-16.svg				\
	stock-channel-16.svg				\
	stock-channel-alpha-16.svg			\
	stock-channel-blue-16.svg			\
	stock-channel-gray-16.svg			\
	stock-channel-green-16.svg			\
	stock-channel-indexed-16.svg			\
	stock-channel-red-16.svg			\
	stock-channels-16.svg				\
	stock-close-12.svg				\
	stock-colormap-16.svg				\
	stock-controller-16.svg				\
	stock-controller-keyboard-16.svg		\
	stock-controller-linux-input-16.svg		\
	stock-controller-midi-16.svg			\
	stock-controller-wheel-16.svg			\
	stock-convert-grayscale-16.svg			\
	stock-convert-indexed-16.svg			\
	stock-convert-rgb-16.svg			\
	stock-cursor-16.svg				\
	stock-default-colors-12.svg			\
	stock-device-status-16.svg			\
	stock-display-filter-16.svg			\
	stock-display-filter-colorblind-16.svg		\
	stock-display-filter-contrast-16.svg		\
	stock-display-filter-gamma-16.svg		\
	stock-display-filter-lcms-16.svg		\
	stock-display-filter-proof-16.svg		\
	stock-dynamics-16.svg				\
	stock-dynamics-22.svg				\
	stock-eye-12.svg				\
	stock-flip-horizontal-16.svg			\
	stock-flip-vertical-16.svg			\
	stock-floating-selection-16.svg			\
	stock-gegl-16.svg				\
	stock-gradient-bilinear-16.svg			\
	stock-gradient-conical-asymmetric-16.svg	\
	stock-gradient-conical-symmetric-16.svg		\
	stock-gradient-linear-16.svg			\
	stock-gradient-radial-16.svg			\
	stock-gradient-shapeburst-angular-16.svg	\
	stock-gradient-shapeburst-dimpled-16.svg	\
	stock-gradient-shapeburst-spherical-16.svg	\
	stock-gradient-spiral-anticlockwise-16.svg	\
	stock-gradient-spiral-clockwise-16.svg		\
	stock-gradient-square-16.svg			\
	stock-grid-16.svg				\
	stock-histogram-16.svg				\
	stock-histogram-linear-16.svg			\
	stock-histogram-logarithmic-16.svg		\
	stock-image-16.svg				\
	stock-images-16.svg				\
	stock-info-16.svg				\
	stock-input-device-16.svg			\
	stock-invert-16.svg				\
	stock-join-bevel-16.svg				\
	stock-join-miter-16.svg				\
	stock-join-round-16.svg				\
	stock-landscape-16.svg				\
	stock-layer-16.svg				\
	stock-layer-mask-16.svg				\
	stock-layer-to-imagesize-16.svg			\
	stock-layers-16.svg				\
	stock-list-16.svg				\
	stock-menu-left-12.svg				\
	stock-menu-right-12.svg				\
	stock-merge-down-16.svg				\
	stock-move-to-screen-16.svg			\
	stock-navigation-16.svg				\
	stock-path-16.svg				\
	stock-paths-16.svg				\
	stock-plugin-16.svg				\
	stock-portrait-16.svg				\
	stock-print-resolution-16.svg			\
	stock-quick-mask-off-12.svg			\
	stock-quick-mask-on-12.svg			\
	stock-reshow-filter-16.svg			\
	stock-resize-16.svg				\
	stock-rotate-180-16.svg				\
	stock-rotate-270-16.svg				\
	stock-rotate-90-16.svg				\
	stock-sample-point-16.svg			\
	stock-scale-16.svg				\
	stock-selection-16.svg				\
	stock-selection-all-16.svg			\
	stock-selection-grow-16.svg			\
	stock-selection-none-16.svg			\
	stock-selection-shrink-16.svg			\
	stock-selection-border-16.svg			\
	stock-shape-circle-16.svg			\
	stock-shape-diamond-16.svg			\
	stock-shape-square-16.svg			\
	stock-swap-colors-12.svg			\
	stock-template-16.svg				\
	stock-text-layer-16.svg				\
	stock-toilet-paper-16.svg			\
	stock-tool-options-16.svg			\
	stock-tool-preset-16.svg			\
	stock-tool-preset-22.svg			\
	stock-tools-16.svg				\
	stock-transparency-16.svg			\
	stock-undo-history-16.svg			\
	stock-user-manual-16.svg			\
	stock-video-16.svg				\
	stock-warning-16.svg				\
	stock-wilber-16.svg				\
	stock-web-16.svg				\
	stock-zoom-follow-window-12.svg

STOCK_BUTTON_IMAGES = \
	stock-anchor-16.svg			\
	stock-center-24.svg			\
	stock-channel-24.svg			\
	stock-channel-alpha-24.svg		\
	stock-channel-blue-24.svg		\
	stock-channel-gray-24.svg		\
	stock-channel-green-24.svg		\
	stock-channel-indexed-24.svg		\
	stock-channel-red-24.svg		\
	stock-channels-24.svg			\
	stock-char-picker-22.svg		\
	stock-color-picker-black-18.svg		\
	stock-color-picker-gray-18.svg		\
	stock-color-picker-white-18.svg		\
	stock-color-pick-from-screen-16.svg	\
	stock-color-triangle-16.svg		\
	stock-colormap-24.svg			\
	stock-controller-24.svg			\
	stock-controller-keyboard-24.svg	\
	stock-controller-linux-input-24.svg	\
	stock-controller-midi-24.svg		\
	stock-controller-wheel-24.svg		\
	stock-cursor-24.svg			\
	stock-curve-free-16.svg			\
	stock-curve-smooth-16.svg		\
	stock-device-status-24.svg		\
	stock-display-filter-24.svg		\
	stock-display-filter-colorblind-24.svg	\
	stock-display-filter-contrast-24.svg	\
	stock-display-filter-gamma-24.svg	\
	stock-display-filter-lcms-24.svg	\
	stock-display-filter-proof-24.svg	\
	stock-duplicate-16.svg			\
	stock-edit-16.svg			\
	stock-eye-20.svg			\
	stock-floating-selection-24.svg		\
	stock-gegl-22.svg			\
	stock-gravity-east-24.svg		\
	stock-gravity-north-24.svg		\
	stock-gravity-north-east-24.svg		\
	stock-gravity-north-west-24.svg		\
	stock-gravity-south-24.svg		\
	stock-gravity-south-east-24.svg		\
	stock-gravity-south-west-24.svg		\
	stock-gravity-west-24.svg		\
	stock-hcenter-24.svg			\
	stock-hchain-24.svg			\
	stock-hchain-broken-24.svg		\
	stock-histogram-22.svg			\
	stock-image-24.svg			\
	stock-images-24.svg			\
	stock-info-24.svg			\
	stock-input-device-22.svg		\
	stock-layer-24.svg			\
	stock-layer-mask-24.svg			\
	stock-layers-24.svg			\
	stock-letter-spacing-22.svg		\
	stock-line-spacing-22.svg		\
	stock-linked-12.svg			\
	stock-linked-20.svg			\
	stock-move-to-screen-24.svg		\
	stock-paste-as-new-16.svg		\
	stock-paste-into-16.svg			\
	stock-path-stroke-16.svg		\
	stock-path-22.svg			\
	stock-paths-22.svg			\
	stock-print-resolution-24.svg		\
	stock-reset-16.svg			\
	stock-sample-point-24.svg		\
	stock-selection-add-16.svg		\
	stock-selection-intersect-16.svg	\
	stock-selection-replace-16.svg		\
	stock-selection-stroke-16.svg		\
	stock-selection-subtract-16.svg		\
	stock-selection-to-channel-16.svg	\
	stock-selection-to-path-16.svg		\
	stock-text-dir-ltr-24.svg		\
	stock-text-dir-rtl-24.svg		\
	stock-template-24.svg			\
	stock-text-layer-24.svg			\
	stock-toilet-paper-24.svg		\
	stock-tool-options-24.svg		\
	stock-tools-24.svg			\
	stock-transparency-24.svg		\
	stock-undo-history-24.svg		\
	stock-user-manual-24.svg		\
	stock-vcenter-24.svg			\
	stock-vchain-24.svg			\
	stock-vchain-broken-24.svg		\
	stock-video-24.svg			\
	stock-warning-24.svg			\
	stock-web-24.svg			\
	stock-wilber-22.svg

STOCK_DND_IMAGES = \
	stock-channel-32.svg			\
	stock-channel-alpha-32.svg		\
	stock-channel-blue-32.svg		\
	stock-channel-gray-32.svg		\
	stock-channel-green-32.svg		\
	stock-channel-indexed-32.svg		\
	stock-channel-red-32.svg		\
	stock-floating-selection-32.svg		\
	stock-image-32.svg			\
	stock-layer-32.svg			\
	stock-layer-mask-32.svg			\
	stock-text-layer-32.svg			\
	stock-user-manual-32.svg

STOCK_DIALOG_IMAGES = \
	stock-channel-48.svg			\
	stock-channel-alpha-48.svg		\
	stock-channel-blue-48.svg		\
	stock-channel-gray-48.svg		\
	stock-channel-green-48.svg		\
	stock-channel-indexed-48.svg		\
	stock-channel-red-48.svg		\
	stock-error-64.svg			\
	stock-floating-selection-48.svg		\
	stock-frame-64.svg			\
	stock-image-48.svg			\
	stock-info-64.svg			\
	stock-layer-48.svg			\
	stock-layer-mask-48.svg			\
	stock-question-64.svg			\
	stock-text-layer-48.svg			\
	stock-texture-64.svg			\
	stock-user-manual-64.svg		\
	stock-warning-64.svg			\
	stock-wilber-64.svg			\
	stock-wilber-eek-64.svg

STOCK_TOOL_IMAGES = \
	tools/stock-tool-airbrush-16.svg		\
	tools/stock-tool-airbrush-22.svg		\
	tools/stock-tool-align-16.svg			\
	tools/stock-tool-align-22.svg			\
	tools/stock-tool-blend-16.svg			\
	tools/stock-tool-blend-22.svg			\
	tools/stock-tool-blur-16.svg			\
	tools/stock-tool-blur-22.svg			\
	tools/stock-tool-brightness-contrast-16.svg	\
	tools/stock-tool-brightness-contrast-22.svg	\
	tools/stock-tool-bucket-fill-16.svg		\
	tools/stock-tool-bucket-fill-22.svg		\
	tools/stock-tool-by-color-select-16.svg		\
	tools/stock-tool-by-color-select-22.svg		\
	tools/stock-tool-cage-16.svg 			\
	tools/stock-tool-cage-22.svg			\
	tools/stock-tool-clone-16.svg			\
	tools/stock-tool-clone-22.svg			\
	tools/stock-tool-color-balance-16.svg		\
	tools/stock-tool-color-balance-22.svg		\
	tools/stock-tool-color-picker-16.svg		\
	tools/stock-tool-color-picker-22.svg		\
	tools/stock-tool-colorize-16.svg		\
	tools/stock-tool-colorize-22.svg		\
	tools/stock-tool-crop-16.svg			\
	tools/stock-tool-crop-22.svg			\
	tools/stock-tool-curves-16.svg			\
	tools/stock-tool-curves-22.svg			\
	tools/stock-tool-desaturate-16.svg		\
	tools/stock-tool-desaturate-22.svg		\
	tools/stock-tool-dodge-16.svg			\
	tools/stock-tool-dodge-22.svg			\
	tools/stock-tool-ellipse-select-16.svg		\
	tools/stock-tool-ellipse-select-22.svg		\
	tools/stock-tool-eraser-16.svg			\
	tools/stock-tool-eraser-22.svg			\
	tools/stock-tool-flip-16.svg			\
	tools/stock-tool-flip-22.svg			\
	tools/stock-tool-free-select-16.svg		\
	tools/stock-tool-free-select-22.svg		\
	tools/stock-tool-foreground-select-16.svg	\
	tools/stock-tool-foreground-select-22.svg	\
	tools/stock-tool-fuzzy-select-16.svg		\
	tools/stock-tool-fuzzy-select-22.svg		\
	tools/stock-tool-hue-saturation-16.svg		\
	tools/stock-tool-hue-saturation-22.svg		\
	tools/stock-tool-heal-16.svg			\
	tools/stock-tool-heal-22.svg			\
	tools/stock-tool-ink-16.svg			\
	tools/stock-tool-ink-22.svg			\
	tools/stock-tool-iscissors-16.svg		\
	tools/stock-tool-iscissors-22.svg		\
	tools/stock-tool-levels-16.svg			\
	tools/stock-tool-levels-22.svg			\
	tools/stock-tool-measure-16.svg			\
	tools/stock-tool-measure-22.svg			\
	tools/stock-tool-move-16.svg			\
	tools/stock-tool-move-22.svg			\
	tools/stock-tool-paintbrush-16.svg		\
	tools/stock-tool-paintbrush-22.svg		\
	tools/stock-tool-path-16.svg			\
	tools/stock-tool-path-22.svg			\
	tools/stock-tool-pencil-16.svg			\
	tools/stock-tool-pencil-22.svg			\
	tools/stock-tool-perspective-16.svg		\
	tools/stock-tool-perspective-22.svg		\
	tools/stock-tool-perspective-clone-16.svg	\
	tools/stock-tool-perspective-clone-22.svg	\
	tools/stock-tool-posterize-16.svg		\
	tools/stock-tool-posterize-22.svg		\
	tools/stock-tool-rect-select-16.svg		\
	tools/stock-tool-rect-select-22.svg		\
	tools/stock-tool-rotate-16.svg			\
	tools/stock-tool-rotate-22.svg			\
	tools/stock-tool-scale-16.svg			\
	tools/stock-tool-scale-22.svg			\
	tools/stock-tool-shear-16.svg			\
	tools/stock-tool-shear-22.svg			\
	tools/stock-tool-smudge-16.svg			\
	tools/stock-tool-smudge-22.svg			\
	tools/stock-tool-text-16.svg			\
	tools/stock-tool-text-22.svg			\
	tools/stock-tool-threshold-16.svg		\
	tools/stock-tool-threshold-22.svg		\
	tools/stock-tool-zoom-16.svg			\
	tools/stock-tool-zoom-22.svg

STOCK_IMAGES = \
	$(STOCK_MENU_IMAGES) 	\
	$(STOCK_BUTTON_IMAGES)	\
	$(STOCK_DND_IMAGES)	\
	$(STOCK_DIALOG_IMAGES)	\
	$(STOCK_TOOL_IMAGES)


themedata_DATA = \
	stock-error-64.svg	\
	stock-info-64.svg	\
	stock-question-64.svg	\
	stock-warning-64.svg


EXTRA_DIST = \
	$(themedata_DATA)	\
	$(CORE_IMAGES)		\
	$(STOCK_IMAGES)		\
	$(WILBER_IMAGES)	\
	gimp-dialog-icons.xcf.gz

noinst_DATA = \
	gimp-core-pixbufs.h	\
	gimp-stock-pixbufs.h

CLEANFILES = $(noinst_DATA) stock-icons.list


stock-icons.list: $(STOCK_IMAGES) Makefile.am
	( rm -f $@; \
          for image in $(STOCK_IMAGES); do \
            echo $$image | \
              sed -e 's|.*/||' -e 's|-|_|g' -e 's|\.svg$$||' >> $@; \
	    echo "  $(srcdir)/$$image" >> $@; \
	  done )

gimp-core-pixbufs.h: $(CORE_IMAGES) Makefile.am
	$(GDK_PIXBUF_CSOURCE) --raw --build-list $(CORE_VARIABLES) > $(@F)

gimp-stock-pixbufs.h: stock-icons.list
	$(GDK_PIXBUF_CSOURCE) --raw --build-list `cat $<` > $(@F)
